"""Specific settings module."""  # pylint: disable=bad-whitespace

######################
#                    #
# ONAP INPUTS DATAS  #
#                    #
######################


# Variables to set logger information
# Possible values for logging levels in onapsdk: INFO, DEBUG , WARNING, ERROR
LOG_CONFIG = {
    "version": 1,
    "disable_existing_loggers": False,
    "formatters": {
        "default": {
            "class": "logging.Formatter",
            "format": "%(asctime)s %(levelname)s %(lineno)d:%(filename)s(%(process)d) - %(message)s"
        }
    },
    "handlers": {
        "console": {
            "level": "INFO",
            "class": "logging.StreamHandler",
            "formatter": "default"
        },
        "file": {
            "level": "DEBUG",
            "class": "logging.FileHandler",
            "formatter": "default",
            "filename": "/var/lib/xtesting/results/{{ run_type }}/pythonsdk.debug.log",
            "mode": "w"
        }
    },
    "root": {
        "level": "DEBUG",
        "handlers": ["console", "file"]
    }
}
CLEANUP_FLAG = False
CLEANUP_ACTIVITY_TIMER = 5
# Additional flag to enable SDC resources cleanup
# Added as SDC's VSP deletion is broken and most tests fail due to that
# Should be removed as soon as SDC resource deletion is fixed
SDC_CLEANUP = False

# SOCK_HTTP = "socks5h://127.0.0.1:8080"
REPORTING_FILE_PATH = "/var/lib/xtesting/results/{{ run_type }}/reporting.html"
REPORTING_FILE_DIRECTORY = "/var/lib/xtesting/results/{{ run_type }}/"
HTML_REPORTING_FILE_NAME = "reporting.html"
JSON_REPORTING_FILE_NAME = "reporting.json"
K8S_REGION_TYPE = "k8s"
TILLER_HOST = "localhost"
K8S_CONFIG = None  # None means it will use default config (~/.kube/config)
IN_CLUSTER = False
K8S_NAMESPACE = "onap"  # Kubernetes namespace
K8S_ONAP_NAMESPACE = "onap"  # ONAP Kubernetes namespace
K8S_ADDITIONAL_RESOURCES_NAMESPACE = K8S_ONAP_NAMESPACE  # Resources created on tests namespace
MSB_K8S_OVERRIDE_VALUES = None
ORCHESTRATION_REQUEST_TIMEOUT = 60.0 * 30  # 30 minutes in seconds
SERVICE_DISTRIBUTION_NUMBER_OF_TRIES = 30
SERVICE_DISTRIBUTION_SLEEP_TIME = 60
DEFAULT_REQUEST_TIMEOUT = 60
VES_BASIC_AUTH = {'username': 'sample1', 'password': 'sample1'}
CPS_AUTH = ("cpsuser", "tj61KoH9")
IF_VALIDATION = False
{% if use_ingress | bool %}
AAI_URL     = "https://aai-api.simpledemo.onap.org"
CDS_URL     = "https://cds-blueprintsprocessor-api.simpledemo.onap.org"
CPS_URL    = "https://cps-core-api.simpledemo.onap.org"
K8SPLUGIN_URL   = "https://multicloud-k8s-api.simpledemo.onap.org"
MSB_URL     = "https://msb-iag-ui.simpledemo.onap.org"
SDC_BE_URL  = "https://sdc-be-api.simpledemo.onap.org"
SDC_FE_URL  = "https://sdc-fe-ui.simpledemo.onap.org"
SDNC_URL    = "https://sdnc-api.simpledemo.onap.org"
SO_URL      = "https://so-api.simpledemo.onap.org"
CLAMP_URL   = "https://policy-ui.simpledemo.onap.org"
VES_URL     = "https://dcae-ves-collector-api.simpledemo.onap.org"
DMAAP_URL   = "https://dmaap-mr-api.simpledemo.onap.org"
NBI_URL     = "https://nbi-api.simpledemo.onap.org"
HOLMES_URL  = "https://holmes-rule-mgmt-ui.simpledemo.onap.org"
AAI_GUI_URL = "https://aai-sparkybe-api.simpledemo.onap.org"
EXPOSE_SERVICES_NODE_PORTS = False
{% else %}
AAI_URL     = "http://aai.api.sparky.simpledemo.onap.org:30233"
CDS_URL     = "http://portal.api.simpledemo.onap.org:30449"
CPS_URL     = "http://portal.api.simpledemo.onap.org:8080"
K8SPLUGIN_URL   = "http://portal.api.simpledemo.onap.org:30498"
MSB_URL     = "http://msb.api.simpledemo.onap.org:30283"
SDC_BE_URL  = "http://sdc.api.be.simpledemo.onap.org:30204"
SDC_FE_URL  = "http://sdc.api.fe.simpledemo.onap.org:30207"
SDNC_URL    = "http://sdnc.api.simpledemo.onap.org:30267"
SO_URL      = "http://so.api.simpledemo.onap.org:30277"
CLAMP_URL   = "http://clamp.api.simpledemo.onap.org:30258"
VES_URL     = "http://ves.api.simpledemo.onap.org:30417"
DMAAP_URL   = "http://dmaap.api.simpledemo.onap.org:3904"
NBI_URL     = "http://nbi.api.simpledemo.onap.org:30274"
HOLMES_URL  = "http://aai.api.sparky.simpledemo.onap.org:30293"
AAI_GUI_URL = "http://aai.api.sparky.simpledemo.onap.org:30220"
EXPOSE_SERVICES_NODE_PORTS = True
{% endif %}
